Package: org.codehaus.groovy.runtime

## [Java] Class Reflector

- org.codehaus.groovy.runtime.Reflector

-     public class Reflector
      extends Object

  Provides as alternative to reflection using bytecode generation.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `invoke(CachedMethod method, Object object, Object[] arguments)`
    `` | `protected Object` | `noSuchMethod(CachedMethod method, Object object, Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public Object invoke(CachedMethod method, Object object, Object[] arguments)

    - #### protected Object noSuchMethod(CachedMethod method, Object object, Object[] arguments)